//---------------------------------------------------------------------------
#ifndef AdvanceBarH
#define AdvanceBarH
//---------------------------------------------------------------------------
#include <vcl\SysUtils.hpp>
#include <vcl\Controls.hpp>
#include <vcl\Classes.hpp>
#include <vcl\Forms.hpp>
//---------------------------------------------------------------------------
class TAdvanceBar : public TGraphicControl
{
private:
	TColor					FBarColor;				//Bar Color
   Graphics::TBitmap		*FBitmap;            //Texture
   int						FPosition;				//Bar Position
   int						FMax;					//Maximum Value Pos/Max=Bar %
   bool						FTextured;

   void __fastcall SetBarColor(const TColor ABarColor);
   void __fastcall SetPosition (int APosition);
   void __fastcall SetMax (int AMax);
   void __fastcall SetBitmap(Graphics::TBitmap *ABitmap);
   void __fastcall TileBitmap(TRect rect,Graphics::TBitmap *PBitmap);

protected:
	void __fastcall Paint(void);

public:
	__fastcall TAdvanceBar(TComponent* Owner);
   __fastcall ~TAdvanceBar();
   void __fastcall Inc(int Value);		// Increment Position by Value
   void __fastcall Dec(int Value);		// Decrement Position by value

__published:
	__property TColor BarColor={read=FBarColor, write=SetBarColor};
   __property int Position={read=FPosition, write=SetPosition};
   __property int Max={read=FMax, write=SetMax};
   __property bool Textured={read=FTextured, write=FTextured};
   __property Graphics::TBitmap *Bitmap = {read=FBitmap, write=SetBitmap};
};
//---------------------------------------------------------------------------
#endif
